# pool.dataset.create

Creates a dataset/zvol.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: data

#### data

Configuration data for creating a new ZFS dataset.

## One of

#### PoolDatasetCreateFilesystem

Type: object
No Additional Properties

##

#### Name

Type: string

The name of the dataset to create.

Must be at least `1` characters long

##

#### Comments

Type: string Default: "INHERIT"

Comments or description for the dataset.

##

#### Sync

Type: enum (of string) Default: "INHERIT"

Synchronous write behavior for the dataset.

##### Must be one of:

- "STANDARD"
- "ALWAYS"
- "DISABLED"
- "INHERIT"

##

#### Snapdev

Type: enum (of string)

Controls visibility of volume snapshots under /dev/zvol/.

##### Must be one of:

- "HIDDEN"
- "VISIBLE"
- "INHERIT"

##

#### Compression

Type: enum (of string) Default: "INHERIT"

Compression algorithm to use for the dataset. Higher numbered variants provide better compression but use more CPU. 'INHERIT' uses the parent dataset's setting.

##### Must be one of:

- "ON"
- "OFF"
- "LZ4"
- "GZIP"
- "GZIP-1"
- "GZIP-9"
- "ZSTD"
- "ZSTD-FAST"
- "ZLE"
- "LZJB"
- "ZSTD-1"
- "ZSTD-2"
- "ZSTD-3"
- "ZSTD-4"
- "ZSTD-5"
- "ZSTD-6"
- "ZSTD-7"
- "ZSTD-8"
- "ZSTD-9"
- "ZSTD-10"
- "ZSTD-11"
- "ZSTD-12"
- "ZSTD-13"
- "ZSTD-14"
- "ZSTD-15"
- "ZSTD-16"
- "ZSTD-17"
- "ZSTD-18"
- "ZSTD-19"
- "ZSTD-FAST-1"
- "ZSTD-FAST-2"
- "ZSTD-FAST-3"
- "ZSTD-FAST-4"
- "ZSTD-FAST-5"
- "ZSTD-FAST-6"
- "ZSTD-FAST-7"
- "ZSTD-FAST-8"
- "ZSTD-FAST-9"
- "ZSTD-FAST-10"
- "ZSTD-FAST-20"
- "ZSTD-FAST-30"
- "ZSTD-FAST-40"
- "ZSTD-FAST-50"
- "ZSTD-FAST-60"
- "ZSTD-FAST-70"
- "ZSTD-FAST-80"
- "ZSTD-FAST-90"
- "ZSTD-FAST-100"
- "ZSTD-FAST-500"
- "ZSTD-FAST-1000"
- "INHERIT"

##

#### Exec

Type: enum (of string) Default: "INHERIT"

Whether files in this dataset can be executed.

##### Must be one of:

- "ON"
- "OFF"
- "INHERIT"

##

#### Managedby

Type: string Default: "INHERIT"

Identifies which service or system manages this dataset.

Must be at least `1` characters long

##

#### Quota Warning

Default: "INHERIT"

Percentage of dataset quota at which to issue a warning. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Quota Critical

Default: "INHERIT"

Percentage of dataset quota at which to issue a critical alert. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Refquota Warning

Default: "INHERIT"

Percentage of reference quota at which to issue a warning. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Refquota Critical

Default: "INHERIT"

Percentage of reference quota at which to issue a critical alert. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Reservation

Type: integer

Minimum disk space guaranteed to this dataset and its children in bytes.

##

#### Refreservation

Type: integer

Minimum disk space guaranteed to this dataset itself in bytes.

##

#### Special Small Block Size

Size threshold below which blocks are stored on special vdevs in bytes.

## Any of

Type: integer
Type: const
Specific value: `"INHERIT"`

##

#### Copies

Default: "INHERIT"

Number of copies of data blocks to maintain for redundancy.

## Any of

Type: integer
Type: const
Specific value: `"INHERIT"`

##

#### Snapdir

Type: enum (of string) Default: "INHERIT"

Controls visibility of the `.zfs/snapshot` directory. 'DISABLED' hides snapshots, 'VISIBLE' shows them, 'HIDDEN' makes them accessible but not listed.

##### Must be one of:

- "DISABLED"
- "VISIBLE"
- "HIDDEN"
- "INHERIT"

##

#### Deduplication

Type: enum (of string) Default: "INHERIT"

Deduplication setting. 'ON' enables dedup, 'VERIFY' enables with checksum verification, 'OFF' disables.

##### Must be one of:

- "ON"
- "VERIFY"
- "OFF"
- "INHERIT"

##

#### Checksum

Type: enum (of string) Default: "INHERIT"

Checksum algorithm to verify data integrity. Higher security algorithms like SHA256 provide better protection but use more CPU.

##### Must be one of:

- "ON"
- "OFF"
- "FLETCHER2"
- "FLETCHER4"
- "SHA256"
- "SHA512"
- "SKEIN"
- "EDONR"
- "BLAKE3"
- "INHERIT"

##

#### Readonly

Type: enum (of string) Default: "INHERIT"

Whether the dataset is read-only.

##### Must be one of:

- "ON"
- "OFF"
- "INHERIT"

##

#### Share Type

Type: enum (of string) Default: "GENERIC"

Optimization type for the dataset based on its intended use.

##### Must be one of:

- "GENERIC"
- "MULTIPROTOCOL"
- "NFS"
- "SMB"
- "APPS"

##

#### PoolCreateEncryptionOptions

Type: object

Configuration for encryption of dataset for `name` pool.

No Additional Properties

##

#### Generate Key

Type: boolean Default: false

Automatically generate the key to be used for dataset encryption.

##

#### Pbkdf2Iters

Type: integer Default: 350000

Number of PBKDF2 iterations for key derivation from passphrase. Higher iterations improve security against brute force attacks but increase unlock time. Default 350,000 balances security and performance.

Value must be greater or equal to `100000`

##

#### Algorithm

Type: enum (of string) Default: "AES-256-GCM"

Encryption algorithm to use for dataset encryption.

##### Must be one of:

- "AES-128-CCM"
- "AES-192-CCM"
- "AES-256-CCM"
- "AES-128-GCM"
- "AES-192-GCM"
- "AES-256-GCM"

##

#### Passphrase

Default: null

Must be specified if encryption for root dataset is desired with a passphrase as a key.

## Any of

Type: string

Must be at least `8` characters long

Type: null

##

#### Key

Default: null

A hex-encoded key specified as an alternative to using `passphrase`.

## Any of

Type: string

Must be at least `64` characters long

Must be at most `64` characters long

Type: null

##

#### Encryption

Type: boolean Default: false

Create a ZFS encrypted root dataset for `name` pool.
There is 1 case where ZFS encryption is not allowed for a dataset:
1) If the parent dataset is encrypted with a passphrase and `name` is being created with a key for encrypting the dataset.

##

#### Inherit Encryption

Type: boolean Default: true

Whether to inherit encryption settings from the parent dataset.

##

#### User Properties

Type: array of object Default: []

Custom user-defined properties to set on the dataset.

No Additional Items

##### Each item of this array must be:

#### PoolDatasetCreateUserProperty

Type: object
No Additional Properties

##

#### Key

Type: string

User property key in namespace:property format.

Must match regular expression: `.*:.*`
Examples:

    "custom:backup_policy"

    "org:created_by"

##

#### Value

Type: string

The value to assign to the user property.

##

#### Create Ancestors

Type: boolean Default: false

Whether to create any missing parent datasets.

##

#### Type

Type: const Default: "FILESYSTEM"

Type of dataset to create - filesystem.

Specific value: `"FILESYSTEM"`

##

#### Aclmode

Type: enum (of string)

How Access Control Lists are handled when chmod is used.

##### Must be one of:

- "PASSTHROUGH"
- "RESTRICTED"
- "DISCARD"
- "INHERIT"

##

#### Acltype

Type: enum (of string)

The type of Access Control List system to use.

##### Must be one of:

- "OFF"
- "NFSV4"
- "POSIX"
- "INHERIT"

##

#### Atime

Type: enum (of string)

Whether file access times are updated when files are accessed.

##### Must be one of:

- "ON"
- "OFF"
- "INHERIT"

##

#### Casesensitivity

Type: enum (of string)

File name case sensitivity setting.

##### Must be one of:

- "SENSITIVE"
- "INSENSITIVE"
- "INHERIT"

##

#### Quota

Maximum disk space this dataset and its children can consume in bytes.

## Any of

Type: integer

Value must be greater or equal to `1073741824`

Type: enum (of integer or null)

##### Must be one of:

- 0
- null

##

#### Refquota

Maximum disk space this dataset itself can consume in bytes.

## Any of

Type: integer

Value must be greater or equal to `1073741824`

Type: enum (of integer or null)

##### Must be one of:

- 0
- null

##

#### Recordsize

Type: string

The suggested block size for files in this filesystem dataset.

#### PoolDatasetCreateVolume

Type: object
No Additional Properties

##

#### Name

Type: string

The name of the dataset to create.

Must be at least `1` characters long

##

#### Comments

Type: string Default: "INHERIT"

Comments or description for the dataset.

##

#### Sync

Type: enum (of string) Default: "INHERIT"

Synchronous write behavior for the dataset.

##### Must be one of:

- "STANDARD"
- "ALWAYS"
- "DISABLED"
- "INHERIT"

##

#### Snapdev

Type: enum (of string)

Controls visibility of volume snapshots under /dev/zvol/.

##### Must be one of:

- "HIDDEN"
- "VISIBLE"
- "INHERIT"

##

#### Compression

Type: enum (of string) Default: "INHERIT"

Compression algorithm to use for the dataset. Higher numbered variants provide better compression but use more CPU. 'INHERIT' uses the parent dataset's setting.

##### Must be one of:

- "ON"
- "OFF"
- "LZ4"
- "GZIP"
- "GZIP-1"
- "GZIP-9"
- "ZSTD"
- "ZSTD-FAST"
- "ZLE"
- "LZJB"
- "ZSTD-1"
- "ZSTD-2"
- "ZSTD-3"
- "ZSTD-4"
- "ZSTD-5"
- "ZSTD-6"
- "ZSTD-7"
- "ZSTD-8"
- "ZSTD-9"
- "ZSTD-10"
- "ZSTD-11"
- "ZSTD-12"
- "ZSTD-13"
- "ZSTD-14"
- "ZSTD-15"
- "ZSTD-16"
- "ZSTD-17"
- "ZSTD-18"
- "ZSTD-19"
- "ZSTD-FAST-1"
- "ZSTD-FAST-2"
- "ZSTD-FAST-3"
- "ZSTD-FAST-4"
- "ZSTD-FAST-5"
- "ZSTD-FAST-6"
- "ZSTD-FAST-7"
- "ZSTD-FAST-8"
- "ZSTD-FAST-9"
- "ZSTD-FAST-10"
- "ZSTD-FAST-20"
- "ZSTD-FAST-30"
- "ZSTD-FAST-40"
- "ZSTD-FAST-50"
- "ZSTD-FAST-60"
- "ZSTD-FAST-70"
- "ZSTD-FAST-80"
- "ZSTD-FAST-90"
- "ZSTD-FAST-100"
- "ZSTD-FAST-500"
- "ZSTD-FAST-1000"
- "INHERIT"

##

#### Exec

Type: enum (of string) Default: "INHERIT"

Whether files in this dataset can be executed.

##### Must be one of:

- "ON"
- "OFF"
- "INHERIT"

##

#### Managedby

Type: string Default: "INHERIT"

Identifies which service or system manages this dataset.

Must be at least `1` characters long

##

#### Quota Warning

Default: "INHERIT"

Percentage of dataset quota at which to issue a warning. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Quota Critical

Default: "INHERIT"

Percentage of dataset quota at which to issue a critical alert. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Refquota Warning

Default: "INHERIT"

Percentage of reference quota at which to issue a warning. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Refquota Critical

Default: "INHERIT"

Percentage of reference quota at which to issue a critical alert. 0-100 or 'INHERIT'.

## Any of

Type: integer

Value must be greater or equal to `0` and lesser or equal to `100`

Type: const
Specific value: `"INHERIT"`

##

#### Reservation

Type: integer

Minimum disk space guaranteed to this dataset and its children in bytes.

##

#### Refreservation

Type: integer

Minimum disk space guaranteed to this dataset itself in bytes.

##

#### Special Small Block Size

Size threshold below which blocks are stored on special vdevs in bytes.

## Any of

Type: integer
Type: const
Specific value: `"INHERIT"`

##

#### Copies

Default: "INHERIT"

Number of copies of data blocks to maintain for redundancy.

## Any of

Type: integer
Type: const
Specific value: `"INHERIT"`

##

#### Snapdir

Type: enum (of string) Default: "INHERIT"

Controls visibility of the `.zfs/snapshot` directory. 'DISABLED' hides snapshots, 'VISIBLE' shows them, 'HIDDEN' makes them accessible but not listed.

##### Must be one of:

- "DISABLED"
- "VISIBLE"
- "HIDDEN"
- "INHERIT"

##

#### Deduplication

Type: enum (of string) Default: "INHERIT"

Deduplication setting. 'ON' enables dedup, 'VERIFY' enables with checksum verification, 'OFF' disables.

##### Must be one of:

- "ON"
- "VERIFY"
- "OFF"
- "INHERIT"

##

#### Checksum

Type: enum (of string) Default: "INHERIT"

Checksum algorithm to verify data integrity. Higher security algorithms like SHA256 provide better protection but use more CPU.

##### Must be one of:

- "ON"
- "OFF"
- "FLETCHER2"
- "FLETCHER4"
- "SHA256"
- "SHA512"
- "SKEIN"
- "EDONR"
- "BLAKE3"
- "INHERIT"

##

#### Readonly

Type: enum (of string) Default: "INHERIT"

Whether the dataset is read-only.

##### Must be one of:

- "ON"
- "OFF"
- "INHERIT"

##

#### Share Type

Type: enum (of string) Default: "GENERIC"

Optimization type for the dataset based on its intended use.

##### Must be one of:

- "GENERIC"
- "MULTIPROTOCOL"
- "NFS"
- "SMB"
- "APPS"

##

#### PoolCreateEncryptionOptions

Type: object

Configuration for encryption of dataset for `name` pool.

No Additional Properties

##

#### Generate Key

Type: boolean Default: false

Automatically generate the key to be used for dataset encryption.

##

#### Pbkdf2Iters

Type: integer Default: 350000

Number of PBKDF2 iterations for key derivation from passphrase. Higher iterations improve security against brute force attacks but increase unlock time. Default 350,000 balances security and performance.

Value must be greater or equal to `100000`

##

#### Algorithm

Type: enum (of string) Default: "AES-256-GCM"

Encryption algorithm to use for dataset encryption.

##### Must be one of:

- "AES-128-CCM"
- "AES-192-CCM"
- "AES-256-CCM"
- "AES-128-GCM"
- "AES-192-GCM"
- "AES-256-GCM"

##

#### Passphrase

Default: null

Must be specified if encryption for root dataset is desired with a passphrase as a key.

## Any of

Type: string

Must be at least `8` characters long

Type: null

##

#### Key

Default: null

A hex-encoded key specified as an alternative to using `passphrase`.

## Any of

Type: string

Must be at least `64` characters long

Must be at most `64` characters long

Type: null

##

#### Encryption

Type: boolean Default: false

Create a ZFS encrypted root dataset for `name` pool.
There is 1 case where ZFS encryption is not allowed for a dataset:
1) If the parent dataset is encrypted with a passphrase and `name` is being created with a key for encrypting the dataset.

##

#### Inherit Encryption

Type: boolean Default: true

Whether to inherit encryption settings from the parent dataset.

##

#### User Properties

Type: array of object Default: []

Custom user-defined properties to set on the dataset.

No Additional Items

##### Each item of this array must be:

#### PoolDatasetCreateUserProperty

Type: object
No Additional Properties

##

#### Key

Type: string

User property key in namespace:property format.

Must match regular expression: `.*:.*`
Examples:

    "custom:backup_policy"

    "org:created_by"

##

#### Value

Type: string

The value to assign to the user property.

##

#### Create Ancestors

Type: boolean Default: false

Whether to create any missing parent datasets.

##

#### Type

Type: const Default: "VOLUME"

Type of dataset to create - volume (zvol).

Specific value: `"VOLUME"`

##

#### Force Size

Type: boolean

Force creation even if the size is not optimal.

##

#### Sparse

Type: boolean

Whether to use sparse (thin) provisioning for the volume.

##

#### Volsize

Type: integer

The volume size in bytes; supposed to be a multiple of the block size.

##

#### Volblocksize

Type: enum (of string)

Defaults to `128K` if the parent pool is a DRAID pool or `16K` otherwise.

##### Must be one of:

- "512"
- "512B"
- "1K"
- "2K"
- "4K"
- "8K"
- "16K"
- "32K"
- "64K"
- "128K"

##

#### PoolDatasetEntry

Type: object

The newly created dataset information.

##

#### Id

Type: string

The full dataset path including pool name.

Example:

    "tank/dataset/child"

##

#### Type

Type: string

The dataset type.

Examples:

    "FILESYSTEM"

    "VOLUME"

##

#### Name

Type: string

The dataset name without the pool prefix.

##

#### Pool

Type: string

The name of the ZFS pool containing this dataset.

##

#### Encrypted

Type: boolean

Whether the dataset is encrypted.

##

#### Encryption Root

The root dataset where encryption is enabled. `null` if the dataset is not encrypted.

## Any of

Type: string
Type: null

##

#### Key Loaded

Whether the encryption key is currently loaded for encrypted datasets. `null` for unencrypted datasets.

## Any of

Type: boolean
Type: null

##

#### Children

Type: array

Array of child dataset objects nested under this dataset.

No Additional Items

##### Each item of this array must be:

Type: object

##

#### User Properties

Type: object

Custom user-defined ZFS properties set on this dataset as key-value pairs.

##

#### Locked

Type: boolean

Whether an encrypted dataset is currently locked (key not loaded).

##

#### PoolDatasetEntryProperty

Type: object

ZFS comments property for storing descriptive text about the dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

ZFS quota warning threshold property as a percentage.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

ZFS quota critical threshold property as a percentage.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

ZFS reference quota warning threshold property as a percentage.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

ZFS reference quota critical threshold property as a percentage.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Identifies which service or system manages this dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

ZFS deduplication setting - whether identical data blocks are stored only once.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

How Access Control Lists (ACLs) are handled when chmod is used.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

The type of Access Control List system used (NFSV4, POSIX, or OFF).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Extended attributes storage method (on/off).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Whether file access times are updated when files are accessed.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

File name case sensitivity setting (sensitive/insensitive).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Data integrity checksum algorithm used for this dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Whether files in this dataset can be executed.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Synchronous write behavior (standard/always/disabled).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Compression algorithm and level applied to data in this dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

The achieved compression ratio as a decimal (e.g., '2.50x').

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

The snapshot from which this clone was created. Empty for non-clone datasets.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Maximum amount of disk space this dataset and its children can consume.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Maximum amount of disk space this dataset itself can consume (excluding children).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Minimum amount of disk space guaranteed to be available to this dataset and its children.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Minimum amount of disk space guaranteed to be available to this dataset itself.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Number of copies of data blocks to maintain for redundancy (1-3).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Visibility of the .zfs/snapshot directory (visible/hidden).

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Whether the dataset is read-only.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

The suggested block size for files in this filesystem dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

For volumes, whether to use sparse (thin) provisioning.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

For volumes, the logical size of the volume.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

For volumes, the block size used by the volume.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Format of the encryption key (hex/raw/passphrase). Only relevant for encrypted datasets.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Encryption algorithm used (e.g., AES-256-GCM). Only relevant for encrypted datasets.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Total amount of disk space consumed by this dataset and all its children.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Amount of disk space consumed by child datasets.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Amount of disk space consumed by this dataset itself, excluding children and snapshots.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Amount of disk space consumed by the refreservation of this dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Amount of disk space consumed by snapshots of this dataset.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Amount of disk space available to this dataset and its children.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Size threshold below which blocks are stored on special vdevs if configured.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Number of PBKDF2 iterations used for passphrase-based encryption keys.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Timestamp when this dataset was created.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### PoolDatasetEntryProperty

Type: object

Controls visibility of volume snapshots under /dev/zvol/<pool>/.

No Additional Properties

##

#### Parsed

Type: object

The ZFS property value parsed into the appropriate type (string, boolean, integer, etc.).

##

#### Rawvalue

The raw string value of the ZFS property as stored in the pool. Can be null if not set.

## Any of

Type: string
Type: null

##

#### Value

The current effective value of the ZFS property as a string. Can be null if inherited or not set.

## Any of

Type: string
Type: null

##

#### Source

Indicates where the property value originates from.

## Any of

Type: string
Type: null
Examples:

    "LOCAL"

    "INHERITED"

    "DEFAULT"

##

#### Source Info

Type: object

Additional metadata about the property source, such as the parent dataset for inherited values.

##

#### Mountpoint

Filesystem path where this dataset is mounted. Null for unmounted datasets or volumes.

## Any of

Type: string
Type: null

##

Additional Properties of any type are allowed.

Type: object

Required roles: DATASET_WRITE